=== debian/changelog ===
rekonq (2.3.2-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1196237) 

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 30 Jun 2013 21:25:41 +0800

rekonq (2.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1193833)
  * Build-depend on libkactivities-dev for KDE workspace activities support.

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 23 Jun 2013 22:06:09 +0800

rekonq (2.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1174223)
    - refresh kubuntu_default_homepages.diff
    - drop upstream patches:
      + 0001-downloads-should-by-default-go-to-the-configured-dow.patch
      + 0001-honor-filetype-setting-WRT-embedding.patch
      + 0001-pass-menutitle-through-i18n-to-get-it-localized.patch
      + 0001-i18n-make-sure-text-passed-to-i18n-is-UTF-8.patch
    - build-depend on libx11-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 01 May 2013 19:59:23 +0200
