=== icons/CMakeLists.txt ===
# install standard icons
KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR} )
