=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
     urlresolver.cpp
     websnap.cpp
     #----------------------------------------
+    adblock/adblockelementhiding.cpp
     adblock/adblockhostmatcher.cpp
     adblock/adblockmanager.cpp
     adblock/adblockrule.cpp
@@ -71,8 +72,10 @@
     sync/syncdatawidget.cpp
     sync/synchosttypewidget.cpp
     sync/syncftpsettingswidget.cpp
+    sync/sshsynchandler.cpp
     sync/syncgooglesettingswidget.cpp
     sync/syncoperasettingswidget.cpp
+    sync/syncsshsettingswidget.cpp
     #----------------------------------------
     tabwindow/rwindow.cpp
     tabwindow/rekonqwindow.cpp
@@ -140,7 +143,6 @@
     )
 ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)
 
-
 # ui files
 KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
     # ----------------------------------------
@@ -160,6 +162,7 @@
     sync/sync_ftp_settings.ui
     sync/sync_google_settings.ui
     sync/sync_opera_settings.ui
+    sync/sync_ssh_settings.ui
     sync/sync_host_type.ui
     # ----------------------------------------
     useragent/useragentsettings.ui
