=== debian/changelog ===
rekonq (2.4.2-0ubuntu2) utopic; urgency=medium

  * Remove build-depends on nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:27:54 +0200

rekonq (2.4.2-0ubuntu1) trusty; urgency=medium

  * New upstream release LP: #1268650

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 12:12:18 +0000

rekonq (2.4.0-0ubuntu1) trusty; urgency=low

  * New upstream release LP: #1256270

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 10:52:38 +0000
