## rekonq 2.4.2-0ubuntu2%2B8.0trisquel3

=== debian/changelog ===
rekonq (2.4.2-0ubuntu2+8.0trisquel3) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 19:37:25 +0000
